/*
 * beam.h
 * mume protocol related stuff
 */

#define MPI "~$#E"		/* MUME protocol introducer */
#define MCIDENT "~$#EI\n"	/* MUME client identificator */

/* editing session control */
typedef struct editsess
{
  struct editsess *next;
  int num;	/* session number */
  int pid;	/* child pid */
  int state;
  int mode;	/* View / Edit */
  int key;	/* message id */
  int pos;	/* bytes received */
  int size;	/* message size / temp file size */
  int dlen;	/* description length */
  char *desc;	/* description */
  char *fname;	/* temp file name */
  int fd;	/* temp file fd */
  time_t time;	/* temp file mtime */
} editsess;

int mp_receive();
void cancel_edit();
void childsig();

extern char edit_start[];
extern char edit_end[];
extern editsess *edit_sess;
